---
title: ArmaRAMDb - Print Addon Name
icon: mdi:file-text-outline
excerpt: Displays the addon name in system chat.
---

# ramdb_db_fnc_printAddonName

## Description
Displays a thank you message with the addon name in the system chat. This is a simple utility function that can be used to acknowledge the use of the framework or to verify that the addon is properly loaded.

## Syntax
```sqf
[] call ramdb_db_fnc_printAddonName
```

## Parameters
None. This function does not require any parameters.

## Return Value
None. The function outputs a message to the system chat.

## Examples
### Display the addon name message:
```sqf
[] call ramdb_db_fnc_printAddonName;
```

### Use in a welcome script:
```sqf
if (isServer) then {
    [] remoteExec ["ramdb_db_fnc_printAddonName", 0, true];
};
```

## Notes
- The function uses the ADDON macro defined in script_component.hpp
- This displays a message directly in the player's system chat
- Can be useful as a quick verification that the addon is loaded correctly
- Often used during development or for first-time users

## Related Functions
- `ramdb_db_fnc_init`: Initializes the database system

## Links

[Add Task](addTask.md) |
[Handler](handler.md) |
[Init](init.md) |
[Print Addon Name](printAddonName.md) |
[Process Queue](processQueue.md) |
[Scheduler](scheduler.md) |
[Test](test.md)